hxt-9.1.6: A collection of tools for processing XML with Haskell.

Portability | portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)

Control.Arrow.ListArrow

Description

Implementation of pure list arrows

Synopsis

- newtype LA a b = LA {
  - runLA :: a -> [b]
  }
- fromLA :: ArrowList a => LA b c -> a b c

# Documentation

newtype LA a b

pure list arrow data type

Constructors

LA |

Fields

runLA :: a -> [b]

Instances

Arrow LA |
ArrowZero LA |
ArrowPlus LA |
ArrowChoice LA |
ArrowApply LA |
Category LA |
ArrowList LA |
ArrowWNF LA |
ArrowNF LA |
ArrowIf LA |
ArrowNavigatableTree LA |
ArrowTree LA |
ArrowDTD LA |
ArrowXml LA |

fromLA :: ArrowList a => LA b c -> a b c

conversion of pure list arrows into other possibly more complex list arrows